require 'spec_helper'

describe GroupReportHelper do
  describe "#property_names_for_outcome" do
    it "should return a list of the property names for all outcomes/baseline" do
      outcome = {
        :properties => {
          :inspected => {
            'foo' => '1',
            'bar' => '2'
          },
          :baseline => [
            {
              'foo' => '5',
              'baz' => '6'
            },
            {
              'bar'  => '9',
              'quux' => '10'
            }
          ]
        }
      }

      helper.property_names_for_outcome(outcome).should =~ ['foo', 'bar', 'baz', 'quux']
    end
  end
end
